<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service;

use Dedi\SyliusMigrationPlugin\Dto\MigrationOption;
use Symfony\Component\Console\Output\OutputInterface;

interface MigrationExecutorInterface
{
    public function execute(MigrationOption $migrationOption, OutputInterface $output): void;

    public function cleanUp(): void;
}
